package com.zsc.edu.dify.modules.dify.controller;

import com.zsc.edu.dify.modules.dify.service.DifyServeService;
import io.github.guoshiqiufeng.dify.autoconfigure.DifyServerAutoConfiguration;
import io.github.guoshiqiufeng.dify.server.dto.response.AppsResponseVO;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhuang
 */
@RestController
@RequestMapping("/v1/serve")
public class V1ServeController {
    @Resource
    private DifyServeService difyServeService;
    @GetMapping("/apps")
    public List<AppsResponseVO> apps(String mode, String name) {
        return difyServeService.apps(mode, name);
    }
}
