package com.zsc.edu.dify.modules.dify.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.dify.framework.json.JsonbTypeHandler;
import io.github.guoshiqiufeng.dify.server.dto.response.AppsResponseVO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName("apps_response")
public class AppsResponse extends AppsResponseVO {

    @TableField(typeHandler = JsonbTypeHandler.class)
    public Map<String, Object> workflow;

    @TableField(typeHandler = JsonbTypeHandler.class)
    public List<String> tags;

    @TableField(typeHandler = JsonbTypeHandler.class)
    public Map<String, Object> modelConfig;
}
